CWStyleManager::Style Struct Reference

the structure to store the style in a CWStyleManager More...

`#include <CWStyleManager.hxx>`

## Public Member Functions

| Style ()
| constructor More...

## Public Attributes

int | m_fontId
| the char More...
int | m_fontHash
| the fontHash id More...
int | m_rulerId
| the ruler More...
int | m_rulerHash
| the rulerHash id More...
int | m_ksenId
| the ksen id More...
int | m_graphicId
| the graphic (checkme) More...
int | m_localStyleId
| a local style id More...
int | m_styleId
| the style id More...
std::string | m_extra
| extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, Style const &style)
| operator<< More...

## Detailed Description

the structure to store the style in a CWStyleManager

## Constructor & Destructor Documentation

CWStyleManager::Style::Style | ( |  | ) |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | CWStyleManager::Style const & | style
| ) |  |

friend

operator<<

## Member Data Documentation

std::string CWStyleManager::Style::m_extra

extra data

Referenced by operator<<(), and CWStyleManager::readStylesDef().

int CWStyleManager::Style::m_fontHash

the fontHash id

Referenced by operator<<(), and CWStyleManager::readStylesDef().

int CWStyleManager::Style::m_fontId

the char

Referenced by operator<<(), and CWStyleManager::readStylesDef().

int CWStyleManager::Style::m_graphicId

the graphic (checkme)

Referenced by operator<<(), CWStyleManager::readStylesDef(), CWTable::readTableBorders(), CWTable::readTableCells(), and CWTableInternal::TableCell::update().

int CWStyleManager::Style::m_ksenId

the ksen id

Referenced by operator<<(), CWStyleManager::readStylesDef(), CWTable::readTableBorders(), CWTable::readTableCells(), and CWTableInternal::TableCell::update().

int CWStyleManager::Style::m_localStyleId

a local style id

Referenced by operator<<(), and CWStyleManager::readStylesDef().

int CWStyleManager::Style::m_rulerHash

the rulerHash id

Referenced by operator<<(), and CWStyleManager::readStylesDef().

int CWStyleManager::Style::m_rulerId

the ruler

Referenced by operator<<(), CWText::readParagraphs(), and CWStyleManager::readStylesDef().

int CWStyleManager::Style::m_styleId

the style id

Referenced by operator<<(), and CWStyleManager::readStylesDef().

The documentation for this struct was generated from the following file:

- CWStyleManager.hxx